Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit
Class GreedyFitSolverPhaseScope

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhaseScope
          org.drools.planner.core.constructionheuristic.greedyFit.GreedyFitSolverPhaseScope

    public class GreedyFitSolverPhaseScope

extends AbstractSolverPhaseScope

Field Summary

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhaseScope
`bestSolutionStepIndex, logger, solverScope, startingScore, startingSystemTimeMillis`

Constructor Summary
`GreedyFitSolverPhaseScope(DefaultSolverScope solverScope)`

Method Summary
`GreedyFitStepScope` | `getLastCompletedGreedyFitStepScope()`
`AbstractStepScope` | `getLastCompletedStepScope()`
`void` | `setLastCompletedGreedyFitStepScope(GreedyFitStepScope lastCompletedGreedyFitStepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhaseScope
`assertWorkingScore, calculatePhaseTimeMillisSpend, calculateScore, calculateSolverTimeMillisSpend, getBestScore, getBestSolutionStepIndex, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingPlanningEntityList, getWorkingRandom, getWorkingSolution, isWorkingSolutionInitialized, reset, setBestSolutionStepIndex, setStartingScore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreedyFitSolverPhaseScope

    public GreedyFitSolverPhaseScope(DefaultSolverScope solverScope)

Method Detail

### getLastCompletedStepScope

    public AbstractStepScope getLastCompletedStepScope()

  Specified by:
    `getLastCompletedStepScope` in class `AbstractSolverPhaseScope`

### getLastCompletedGreedyFitStepScope

    public GreedyFitStepScope getLastCompletedGreedyFitStepScope()

### setLastCompletedGreedyFitStepScope

    public void setLastCompletedGreedyFitStepScope(GreedyFitStepScope lastCompletedGreedyFitStepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.